# Get Access Token

Each request to the Shipping 360 API requires authentication via an OAuth token. This API call generates the OAuth token based on the Base64-encoded value of the Client ID and Secret associated with your developer account. The token expires after 4 hours. `Client ID` is the The unique identifier assigned to the client application and `Secret` is a confidential string used to authenticate the client. These both are required to generate token. Use `Client ID` as User Name and `Secret` as Password for getting access token while trying out in security options.

Endpoint: POST /api/v1/token
Version: 1.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Header parameters:

  - `Content-Type` (string, required)

## Response 200:

  - `200` (unknown)
    The token has been generated successfully.

## Response 200 fields (application/json):

  - `access_token` (string)
    Example: token

  - `expires_in` (number)
    Example: 14400

  - `scope` (string)
    Example: psapi

  - `token_type` (string)
    Example: Bearer

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `errorCode` (string)

  - `errorSummary` (string)

  - `errorLink` (string)

  - `errorId` (string)

  - `errorCauses` (array)

## Response 200 examples:

  - `response` (unknown)

